#include <bits/stdc++.h>
#define maxn 2000050
using namespace std;
int n;
long long l, h[maxn];
int main() {
    ios_base::sync_with_stdio(false);
    int br=0;
    cin >>n>>l;
    for (int i=1; i<=n; i++){
        cin >>h[i];
    }
    for (int i=1; i<=n; i++){
        if (h[i]>l){
            br++;
        }
        else if (h[i] = l){
            br ++;
            break;
        }
        else break;
    }
    if (br ==n) cout <<"-1";
    else cout <<br;
}